libzypp: internal Namespace Reference

libzypp 17.25.10

Namespaces | Functions
internal Namespace Reference

## Namespaces
namespace | env

## Functions
void | globalInitCurlOnce ()
int | log_curl (CURL *curl, curl_infotype info, char *ptr, size_t len, void *max_lvl)
size_t | log_redirects_curl (char *ptr, size_t size, size_t nmemb, void *userdata)
void | fillSettingsFromUrl (const Url &url, media::TransferSettings &s)
| Fills the settings structure using options passed on the url for example ?timeout=x&proxy=foo. More...
void | fillSettingsSystemProxy (const Url &url, media::TransferSettings &s)
| Reads the system proxy configuration and fills the settings structure proxy information. More...
const char * | anonymousIdHeader ()
| initialized only once, this gets the anonymous id from the target, which we pass in the http header More...
const char * | distributionFlavorHeader ()
| initialized only once, this gets the distribution flavor from the target, which we pass in the http header More...
const char * | agentString ()
| initialized only once, this gets the agent string which also includes the curl version More...
void | curlEscape (std::string &str_r, const char char_r, const std::string &escaped_r)
std::string | curlEscapedPath (std::string path_r)
std::string | curlUnEscape (std::string text_r)
Url | clearQueryString (const Url &url)
zypp::Url | propagateQueryParams (zypp::Url url_r, const zypp::Url &template_r)

## Function Documentation

## ◆ globalInitCurlOnce()

void internal::globalInitCurlOnce | ( |  | ) |

Definition at line 19 of file CurlHelper.cc.

## ◆ log_curl()

int internal::log_curl | ( | CURL * | curl,
|  | curl_infotype | info,
|  | char * | ptr,
|  | size_t | len,
|  | void * | max_lvl
| ) |  |

Definition at line 28 of file CurlHelper.cc.

## ◆ log_redirects_curl()

size_t internal::log_redirects_curl | ( | char * | ptr,
|  | size_t | size,
|  | size_t | nmemb,
|  | void * | userdata
| ) |  |

Definition at line 62 of file CurlHelper.cc.

## ◆ fillSettingsFromUrl()

void internal::fillSettingsFromUrl | ( | const Url & | url,
|  | media::TransferSettings & | s
| ) |  |

Fills the settings structure using options passed on the url for example ?timeout=x&proxy=foo.

Definition at line 110 of file CurlHelper.cc.

## ◆ fillSettingsSystemProxy()

void internal::fillSettingsSystemProxy | ( | const Url & | url,
|  | media::TransferSettings & | s
| ) |  |

Reads the system proxy configuration and fills the settings structure proxy information.

Definition at line 258 of file CurlHelper.cc.

## ◆ anonymousIdHeader()

const char * internal::anonymousIdHeader | ( |  | ) |

initialized only once, this gets the anonymous id from the target, which we pass in the http header

Definition at line 294 of file CurlHelper.cc.

## ◆ distributionFlavorHeader()

const char * internal::distributionFlavorHeader | ( |  | ) |

initialized only once, this gets the distribution flavor from the target, which we pass in the http header

Definition at line 308 of file CurlHelper.cc.

## ◆ agentString()

const char * internal::agentString | ( |  | ) |

initialized only once, this gets the agent string which also includes the curl version

Definition at line 322 of file CurlHelper.cc.

## ◆ curlEscape()

void internal::curlEscape | ( | std::string & | str_r,
|  | const char | char_r,
|  | const std::string & | escaped_r
| ) |  |

Definition at line 338 of file CurlHelper.cc.

## ◆ curlEscapedPath()

std::string internal::curlEscapedPath | ( | std::string | path_r | ) |

Definition at line 346 of file CurlHelper.cc.

## ◆ curlUnEscape()

std::string internal::curlUnEscape | ( | std::string | text_r | ) |

Definition at line 351 of file CurlHelper.cc.

## ◆ clearQueryString()

zypp::Url internal::clearQueryString | ( | const Url & | url | ) |

Definition at line 358 of file CurlHelper.cc.

## ◆ propagateQueryParams()

zypp::Url internal::propagateQueryParams | ( | zypp::Url | url_r,
|  | const zypp::Url & | template_r
| ) |  |

Definition at line 384 of file CurlHelper.cc.